# IRremoteESP8266: src/ir_Teco.h File Reference

ir_Teco.h File Reference

Support for Teco protocols. More...

Go to the source code of this file.

## Classes

class | IRTecoAc
| Class for handling detailed Teco A/C messages. More...

## Variables

const uint8_t | kTecoAuto = 0
const uint8_t | kTecoCool = 1
const uint8_t | kTecoDry = 2
const uint8_t | kTecoFan = 3
const uint8_t | kTecoHeat = 4
const uint8_t | kTecoFanAuto = 0
const uint8_t | kTecoFanLow = 1
const uint8_t | kTecoFanMed = 2
const uint8_t | kTecoFanHigh = 3
const uint8_t | kTecoMinTemp = 16
const uint8_t | kTecoMaxTemp = 30
const uint8_t | kTecoModeOffset = 0
const uint8_t | kTecoPowerOffset = 3
const uint8_t | kTecoFanOffset = 4
const uint8_t | kTecoFanSize = 2
const uint8_t | kTecoSwingOffset = 6
const uint8_t | kTecoSleepOffset = 7
const uint8_t | kTecoTempOffset = 8
const uint8_t | kTecoTempSize = 4
const uint8_t | kTecoTimerHalfHourOffset = 12
const uint8_t | kTecoTimerTensHoursOffset = 13
const uint8_t | kTecoTimerTensHoursSize = 2
const uint8_t | kTecoTimerOnOffset = 15
const uint8_t | kTecoTimerUnitHoursOffset = 16
const uint8_t | kTecoTimerUnitHoursSize = 4
const uint8_t | kTecoHumidOffset = 20
const uint8_t | kTecoLightOffset = 21
const uint8_t | kTecoSaveOffset = 23
const uint64_t | kTecoReset = 0b01001010000000000000010000000000000

## Detailed Description

Support for Teco protocols.

## Variable Documentation

## kTecoAuto

const uint8_t kTecoAuto = 0

## kTecoCool

const uint8_t kTecoCool = 1

## kTecoDry

const uint8_t kTecoDry = 2

## kTecoFan

const uint8_t kTecoFan = 3

## kTecoFanAuto

const uint8_t kTecoFanAuto = 0

## kTecoFanHigh

const uint8_t kTecoFanHigh = 3

## kTecoFanLow

const uint8_t kTecoFanLow = 1

## kTecoFanMed

const uint8_t kTecoFanMed = 2

## kTecoFanOffset

const uint8_t kTecoFanOffset = 4

## kTecoFanSize

const uint8_t kTecoFanSize = 2

## kTecoHeat

const uint8_t kTecoHeat = 4

## kTecoHumidOffset

const uint8_t kTecoHumidOffset = 20

## kTecoLightOffset

const uint8_t kTecoLightOffset = 21

## kTecoMaxTemp

const uint8_t kTecoMaxTemp = 30

## kTecoMinTemp

const uint8_t kTecoMinTemp = 16

## kTecoModeOffset

const uint8_t kTecoModeOffset = 0

## kTecoPowerOffset

const uint8_t kTecoPowerOffset = 3

## kTecoReset

const uint64_t kTecoReset = 0b01001010000000000000010000000000000

## kTecoSaveOffset

const uint8_t kTecoSaveOffset = 23

## kTecoSleepOffset

const uint8_t kTecoSleepOffset = 7

## kTecoSwingOffset

const uint8_t kTecoSwingOffset = 6

## kTecoTempOffset

const uint8_t kTecoTempOffset = 8

## kTecoTempSize

const uint8_t kTecoTempSize = 4

## kTecoTimerHalfHourOffset

const uint8_t kTecoTimerHalfHourOffset = 12

## kTecoTimerOnOffset

const uint8_t kTecoTimerOnOffset = 15

## kTecoTimerTensHoursOffset

const uint8_t kTecoTimerTensHoursOffset = 13

## kTecoTimerTensHoursSize

const uint8_t kTecoTimerTensHoursSize = 2

## kTecoTimerUnitHoursOffset

const uint8_t kTecoTimerUnitHoursOffset = 16

## kTecoTimerUnitHoursSize

const uint8_t kTecoTimerUnitHoursSize = 4